version: '2'
services:
  app:
    image: data_analyze:2.0
    container_name: data_analyze
    network_mode: host
    # ports:
    #   - "8067:8067"
    volumes:
      - /model:/app/model
      - /workspace:/app/workspace
      - /var/run/docker.sock:/var/run/docker.sock 
      - /usr/bin/docker:/usr/bin/docker 
    env_file: ./data_analyze.env
    deploy:
      resources:
        reservations:
          devices:
            - driver: nvidia
              capabilities: ["gpu"]